Bug 858995 - (CVE-2012-4435) CVE-2012-4435 fwknop: fwknopd server did not properly validate allowed IP addresses from malicious authenticated clients
CVE-2012-4435 fwknop: fwknopd server did not properly validate allowed IP add...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120904,reported=2...
: Security
Depends On: 859006 859007
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 06:32 EDT by Jan Lieskovsky
Modified: 2015-08-22 10:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: fwknop 2.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 10:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-20 06:32:52 EDT
An instance of improper validation flaw (leading to fwknopd server crash or missing detection of error condition) has been corrected in upstream 2.0.3 version of fwknop (from upstream Changelog at [1]):
2) [server] Fernando Arnaboldi from IOActive found a condition in which the server did not properly validate allow IP addresses from malicious authenticated clients. This has been fixed with stronger allow IP validation.

References:
[1] http://www.cipherdyne.org/blog/categories/software-releases.html
[2] http://secunia.com/advisories/50522/
[3] http://www.openwall.com/lists/oss-security/2012/09/20/4

Relevant upstream patches:
[4] http://www.cipherdyne.org/cgi-bin/gitweb.cgi?p=fwknop.git;a=commitdiff;h=f4c16bc47fc24a96b63105556b62d61c1ba7d799
[5] http://www.cipherdyne.org/cgi-bin/gitweb.cgi?p=fwknop.git;a=commitdiff;h=263fa01f2af1d336961df320f1c7a9ea84ddac9a
Comment 1 Jan Lieskovsky 2012-09-20 06:35:00 EDT
This issue affects the versions of the fwknop package, as shipped with Rawhide and Fedora release of 17. Please schedule an update.

--

This issue did NOT affect the version of the fwknop package, as shipped with Fedora release of 16 (as it is Perl language based implementation yet).
Comment 2 Jan Lieskovsky 2012-09-20 06:57:07 EDT
Created fwknop tracking bugs for this issue

Affects: fedora-rawhide [bug 859006]
Affects: fedora-17 [bug 859007]

Note You need to log in before you can comment on or make changes to this bug.